Subject: Re: [Int-area] IPv10.

From: Lee Howard <[email-masked]>
Date: Tue, 12 Sep 2017 09:07:52 -0400

What evidence do you see that there is consensus support for this?
For an IETF document, it should get adopted by a working group (WG). If
there is no existing WG which could include this in its charter, you might
need to create a WG; Area Directors (ADs) would want to see that there was
broad support for the effort, and many people willing to work on it. I’m not
an AD, but I would question one who thought there was consensus support for
IPv10.

If there are people who want to work on IPv10, they need to say so. There
can’t be consensus if only one or two people think a document is worth
working on. If you have received private statemetns of support, those people
need to send messages to the list.

Lee

From:  Int-area <[email-masked]> on behalf of Khaled Omar
<[email-masked]>
Date:  Monday, September 11, 2017 at 4:53 PM
To:  int-area <[email-masked]>
Cc:  intarea-ads <[email-masked]>, intarea-chairs
<[email-masked]>
Subject:  [Int-area] IPv10.

> Hi all,
>  
> Is IPv10 still not considered on your list of agenda, I think the discussion
> phase has passed.
>  
> I would like thank everyone who participated or reviewed the IPv10 I-D, but
> still some steps of work to be done and the decision is out of my hands.
>  
> I don’t know how consensus be calculated at the IETF and whom is responsible
> for its final decision, either still some work to be done for adoption or
> start publishing the I-D.
>  
> Waiting for the coming meeting is not a good idea as there is a short time for
> the presentation and we may face another remote technical problem as occurred
> at IETF 98. 
>  
> Best regards,
>  
> Khaled Omar
>  
>  
>  
> _______________________________________________ Int-area mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/int-area

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 13:17:05 +0000

After answering questions of people who send me e-mails publicly or privately the discussion stops at this point, that’s why I keep updating the I-D to make it more clear for other people reading the draft for the 1st time.

If there are people who want to work on IPv10, they need to say so. There can’t be consensus if only one or two people think a document is worth working on. If you have received private statements of support, those people need to send messages to the list.

Yes, they have to send to the list but some are asking if there is a wg for IPv10 or not.

From: Lee Howard [mailto:[email-masked]]
Sent: Tuesday, September 12, 2017 3:08 PM
To: Khaled Omar; int-area
Subject: Re: [Int-area] IPv10.

What evidence do you see that there is consensus support for this?
For an IETF document, it should get adopted by a working group (WG). If there is no existing WG which could include this in its charter, you might need to create a WG; Area Directors (ADs) would want to see that there was broad support for the effort, and many people willing to work on it. I’m not an AD, but I would question one who thought there was consensus support for IPv10.

If there are people who want to work on IPv10, they need to say so. There can’t be consensus if only one or two people think a document is worth working on. If you have received private statemetns of support, those people need to send messages to the list.

Lee

From: Int-area <[email-masked]<mailto:[email-masked]>> on behalf of Khaled Omar <[email-masked]<mailto:[email-masked]>>
Date: Monday, September 11, 2017 at 4:53 PM
To: int-area <[email-masked]<mailto:[email-masked]>>
Cc: intarea-ads <[email-masked]<mailto:[email-masked]>>, intarea-chairs <[email-masked]<mailto:[email-masked]>>
Subject: [Int-area] IPv10.

Hi all,

Is IPv10 still not considered on your list of agenda, I think the discussion phase has passed.

I would like thank everyone who participated or reviewed the IPv10 I-D, but still some steps of work to be done and the decision is out of my hands.

I don’t know how consensus be calculated at the IETF and whom is responsible for its final decision, either still some work to be done for adoption or start publishing the I-D.

Waiting for the coming meeting is not a good idea as there is a short time for the presentation and we may face another remote technical problem as occurred at IETF 98.

Best regards,

Khaled Omar

_______________________________________________ Int-area mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/int-area

---

From: Lee Howard <[email-masked]>
Date: Tue, 12 Sep 2017 10:16:51 -0400

From:  Khaled Omar <[email-masked]>
Date:  Tuesday, September 12, 2017 at 9:17 AM
To:  Lee Howard <[email-masked]>
Cc:  int-area <[email-masked]>
Subject:  RE: [Int-area] IPv10.

> After answering questions of people who send me e-mails publicly or privately
> the discussion stops at this point, that’s why I keep updating the I-D to make
> it more clear for other people reading the draft for the 1st time.
>  
> can’t be consensus if only one or two people think a document is worth working
> on. If you have received private statements of support, those people need to
> send messages to the list.
>  

There won’t be a working group unless there are people interested in forming
a working group.

Lee

> For an IETF document, it should get adopted by a working group (WG). If there
> is no existing WG which could include this in its charter, you might need to
> create a WG; Area Directors (ADs) would want to see that there was broad
> support for the effort, and many people willing to work on it. I’m not an AD,
> but I would question one who thought there was consensus support for IPv10.
> 
>  
> 
> can’t be consensus if only one or two people think a document is worth working
> on. If you have received private statemetns of support, those people need to
> send messages to the list.
> 
>  
> 
> Lee
> 
>  
> 
>  
> 
>> Waiting for the coming meeting is not a good idea as there is a short time
>> for the presentation and we may face another remote technical problem as
>> occurred at IETF 98.
>>  
>> Best regards,
>>  
>> Khaled Omar
>>  
>>  
>>

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 14:25:33 +0000

We can make the opposite, first creating a wg, then we will know who is interested to work on the IPv10 I-D.

Khaled Omar

-------- Original Message --------
From: Lee Howard
To: Khaled Omar
CC: int-area

From: Khaled Omar <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 12, 2017 at 9:17 AM
To: Lee Howard <[email-masked]<mailto:[email-masked]>>
Cc: int-area <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Int-area] IPv10.

There won’t be a working group unless there are people interested in forming a working group.

Lee

Lee

Hi all,

Best regards,

Khaled Omar

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 12 Sep 2017 22:31:10 +0800

So, you expect that we change the rules for you, or we should change them for everybody?

Rules have been defined by the community for a good reason.

If we change the rules for everybody, then you should expect thousands of WGs being created every other day, with no consensus, lot of community time lost and nobody paying attention to the real work, so we could shutdown IETF.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 12 de septiembre de 2017, 22:25
Para: Lee Howard <[email-masked]>
CC: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    
    
    Khaled Omar

    -------- Original Message --------

    

    
    >If there are people who want to work on IPv10, they need to say so. There can’t be consensus if only one or two people think a document is worth working on. If you have received private statements
    > of support, those people need to send messages to the list.
    > 

    Lee

    >For an IETF document, it should get adopted by a working group (WG). If there is no existing WG which could include this in its charter, you might need to create a WG; Area Directors (ADs) would
    > want to see that there was broad support for the effort, and many people willing to work on it. I’m not an AD, but I would question one who thought there was consensus support for IPv10.
    >
    > 
    >
    >If there are people who want to work on IPv10, they need to say so. There can’t be consensus if only one or two people think a document is worth working on. If you have received private statemetns
    > of support, those people need to send messages to the list. 
    >
    > 
    >
    >Lee
    >
    > 
    >
    > 
    >
    >From: Int-area <[email-masked]> on behalf of Khaled Omar <[email-masked]>
    >Cc: intarea-ads <[email-masked]>, intarea-chairs <[email-masked]>
    >>[email-masked] 
    >>https://www.ietf.org/mailman/listinfo/int-area <https://www.ietf.org/mailman/listinfo/int-area> 
    >
    >
    >

    _______________________________________________
    Int-area mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/int-area

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 12 Sep 2017 10:35:44 -0400

Hi Khaled,
  No. That is not how things work. Please take a look at RFC2418 for more
details on how IETF working groups operate. Specifically look at Section
2.1 regarding some of the criteria for wg formation. As of now I don't see
the IPv10 proposal meeting many (if any) of those criteria.

Regards
Suresh

On Sep 12, 2017 10:25 AM, "Khaled Omar" <[email-masked]> wrote:

> After answering questions of people who send me e-mails publicly or
> privately the discussion stops at this point, that’s why I keep updating
> the I-D to make it more clear for other people reading the draft for the 1
> st time.
>
>
>
> working on. If you have received private statements of support, those
> people need to send messages to the list.
>
>
>
> *From:* Lee Howard [mailto:[email-masked] <[email-masked]>]
> *Sent:* Tuesday, September 12, 2017 3:08 PM
> *To:* Khaled Omar; int-area
> *Subject:* Re: [Int-area] IPv10.
>
>
>
> broad support for the effort, and many people willing to work on it. I’m
> not an AD, but I would question one who thought there was consensus support
> for IPv10.
>
>
>
> working on. If you have received private statemetns of support, those
> people need to send messages to the list.
>
>
>
> Lee
>
>
>
>
>
> *From: *Int-area <[email-masked]> on behalf of Khaled Omar <
> [email-masked]>
> *Date: *Monday, September 11, 2017 at 4:53 PM
> *To: *int-area <[email-masked]>
> *Cc: *intarea-ads <[email-masked]>, intarea-chairs <
> [email-masked]>
> *Subject: *[Int-area] IPv10.
>
>
>
> Hi all,
>
>
>
> I would like thank everyone who participated or reviewed the IPv10 I-D,
> but still some steps of work to be done and the decision is out of my hands.
>
>
>
> I don’t know how consensus be calculated at the IETF and whom is
> responsible for its final decision, either still some work to be done for
> adoption or start publishing the I-D.
>
>
>

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 15:06:08 +0000

This was a suggestion, take it easy.

Best regards,

Khaled Omar

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
Sent: Tuesday, September 12, 2017 4:31 PM
To: int-area
Subject: Re: [Int-area] IPv10.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
Fecha: martes, 12 de septiembre de 2017, 22:25
Para: Lee Howard <[email-masked]>
CC: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    
    
    Khaled Omar

    -------- Original Message --------

    

    

    Lee

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 13 Sep 2017 01:08:49 +0800

I believe everybody here is taking it very easy, but seems that some folks insist in not reading all the suggestions received and specially all the IETF documents prepared for new participants, including the ones available in every IETF meeting during the Sunday tutorials.

Several of us, have explained you and public and private, how it works, and that you must read those documents to make our participation profitable for everyone.

Will all the respect from my side, believe me, I’m taking it really easy and calm, but I think many of us here believe that you don't respect us, neither our work, neither our time, neither are respectful in general by continuously forwarding private emails and repeating things that are wrong and have been explained to you several times. Not helping you, not helping anyone.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 12 de septiembre de 2017, 23:06
Para: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    Best regards,
    
    Khaled Omar
    
    -----Original Message-----
    From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
    Sent: Tuesday, September 12, 2017 4:31 PM
    To: int-area
    Subject: Re: [Int-area] IPv10.

    
    
    Regards,
    Jordi

    -----Mensaje original-----
    De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
    Fecha: martes, 12 de septiembre de 2017, 22:25
    Para: Lee Howard <[email-masked]>
    CC: int-area <[email-masked]>
    Asunto: Re: [Int-area] IPv10.

        
        
        Khaled Omar

        -------- Original Message --------

        

        

        Lee

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 17:24:11 +0000

>>>> Will all the respect from my side, believe me, I’m taking it really easy and calm, but I think many of us here believe that you don't respect us, neither our work, neither our time, neither are…

Why you say I disrespect you ? I don't like waste of time because if I feel things are not going good with the IETF members or participants, simply I will go away.

All what I was asking for is a WG so all interested people participate on the discussion and to avoid repeating questions many times.

Eventually, please stop saying claims about me like: 

" but I think many of us here believe that you don't respect us, neither our work, neither our time, neither are respectful in general by continuously forwarding private emails and repeating things that are wrong and have been explained to you several times"

Because if I do, I wouldn't be here answering people's questions and know more people.

Best regards,

Khaled Omar

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
Sent: Tuesday, September 12, 2017 7:09 PM
To: int-area
Subject: Re: [Int-area] IPv10.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
Fecha: martes, 12 de septiembre de 2017, 23:06
Para: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    Best regards,
    
    Khaled Omar
    
    -----Original Message-----
    From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
    Sent: Tuesday, September 12, 2017 4:31 PM
    To: int-area
    Subject: Re: [Int-area] IPv10.

    
    
    Regards,
    Jordi

    -----Mensaje original-----
    De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
    Fecha: martes, 12 de septiembre de 2017, 22:25
    Para: Lee Howard <[email-masked]>
    CC: int-area <[email-masked]>
    Asunto: Re: [Int-area] IPv10.

        
        
        Khaled Omar

        -------- Original Message --------

        

        

        Lee

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 13 Sep 2017 01:29:02 +0800

Respecting people and their time means that before asking once and again about changing the process for you, or the process itself, you MUST have read the process documents, which doesn’t seem to be the case.

If you did that, then you don’t understand the documents, and then you need some help *before* contributing, to clarify your mind about the process. Otherwise you waste your time and the rest of us time.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]>
Responder a: <[email-masked]>
Fecha: miércoles, 13 de septiembre de 2017, 1:24
Para: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    

    
    
    Best regards,
    
    Khaled Omar

    -----Original Message-----
    From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
    Sent: Tuesday, September 12, 2017 7:09 PM
    To: int-area
    Subject: Re: [Int-area] IPv10.

    
    
    Regards,
    Jordi

    -----Mensaje original-----
    De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
    Fecha: martes, 12 de septiembre de 2017, 23:06
    Para: int-area <[email-masked]>
    Asunto: Re: [Int-area] IPv10.

        Best regards,
        
        Khaled Omar
        
        -----Original Message-----
        From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
        Sent: Tuesday, September 12, 2017 4:31 PM
        To: int-area
        Subject: Re: [Int-area] IPv10.

        
        
        Regards,
        Jordi

        -----Mensaje original-----
        De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
        Fecha: martes, 12 de septiembre de 2017, 22:25
        Para: Lee Howard <[email-masked]>
        CC: int-area <[email-masked]>
        Asunto: Re: [Int-area] IPv10.

            
            
            Khaled Omar

            -------- Original Message --------

            

            

            Lee

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 17:39:34 +0000

So in your opinion, what should happen now? Updating the I-D only? Or we should go forward? Or the IPv10 draft is not interesting at all? 

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
Sent: Tuesday, September 12, 2017 7:29 PM
To: int-area
Subject: Re: [Int-area] IPv10.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
Fecha: miércoles, 13 de septiembre de 2017, 1:24
Para: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    

    
    
    Best regards,
    
    Khaled Omar

    -----Original Message-----
    From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
    Sent: Tuesday, September 12, 2017 7:09 PM
    To: int-area
    Subject: Re: [Int-area] IPv10.

    
    
    Regards,
    Jordi

    -----Mensaje original-----
    De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
    Fecha: martes, 12 de septiembre de 2017, 23:06
    Para: int-area <[email-masked]>
    Asunto: Re: [Int-area] IPv10.

        Best regards,
        
        Khaled Omar
        
        -----Original Message-----
        From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
        Sent: Tuesday, September 12, 2017 4:31 PM
        To: int-area
        Subject: Re: [Int-area] IPv10.

        
        
        Regards,
        Jordi

        -----Mensaje original-----
        De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
        Fecha: martes, 12 de septiembre de 2017, 22:25
        Para: Lee Howard <[email-masked]>
        CC: int-area <[email-masked]>
        Asunto: Re: [Int-area] IPv10.

            
            
            Khaled Omar

            -------- Original Message --------

            

            

            Lee

---

From: Warren Kumari <[email-masked]>
Date: Tue, 12 Sep 2017 14:27:03 -0400

> So in your opinion, what should happen now? Updating the I-D only? Or we should go forward? Or the IPv10 draft is not interesting at all?

I believe that the IETF has shown no interest in working on the IPv10
draft, and so you should a: abandon it or b: consider working on it in
some other standards organization.

W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 18:54:10 +0000

>>>> I believe that the IETF has shown no interest in working on the IPv10 draft, and so you should a: abandon it or b: consider working on it in some other standards organization.

Every one can say his own opinion about IPv10 I-D, I will not ask more about a discussion or wg or review as no interest is shown.

But I still have three more IDs in the IETF repository and no discussion occurred since they were uploaded.

This means that the issue is not on the technical details, the issue is personal that shouldn't be at the IETF because it doesn't matter from where the author is or people looking for more things other than technical discussion.

Best regards,

Khaled Omar

-----Original Message-----
From: Warren Kumari [mailto:[email-masked]] 
Sent: Tuesday, September 12, 2017 8:27 PM
To: Khaled Omar
Cc: int-area
Subject: Re: [Int-area] IPv10.

> So in your opinion, what should happen now? Updating the I-D only? Or we should go forward? Or the IPv10 draft is not interesting at all?

I believe that the IETF has shown no interest in working on the IPv10 draft, and so you should a: abandon it or b: consider working on it in some other standards organization.

W

> De: Int-area <[email-masked]> en nombre de Khaled Omar 
> <[email-masked]> Responder a: 

--
I don't think the execution is relevant when it was obviously a bad idea in the first place.
This is like putting rabid weasels in your pants, and later expressing regret at having chosen those particular rabid weasels and that pair of pants.
   ---maf

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Sep 2017 15:27:09 -0400

> This means that the issue is not on the technical details, the issue is personal that shouldn't be at the IETF because it doesn't matter from where the author is or people looking for more things o…

Forgive me if I am saying something you already understand, but the way that you do work in the IETF is to find other IETF participants who are interested in the same topic that you are interested in, demonstrate to the IETF as a whole that there is sufficient interest in the work to justify the IETF allocating agenda time for it, and then those people meet and discuss the topic and write documents based on those discussions.

It's really not the case that you can just come to the IETF with a document and get it published.   That's not how the IETF process works.

So when you say that the issue is personal, that simply isn't correct.   The issue is that you haven't done the work you need to do.   If you can't get anybody interested in what you are interested in, that means that the work can't be done in the IETF.   It isn't personal.   This happens a lot.   There are things I'd like to work on for which there is no interest in the IETF, and I have some very clear ideas about how to do other things that the IETF is working on, but I don't get my way: the working group doesn't agree with me, and so we produce something that's different than what I would have done.

What we hope happens as a result of this is that what is produced is better; that's not even always the case.   But we are successful often enough that many of us still consider it to be worth the effort.

If you are not willing to follow this process, then what you have discovered is that you do not consider it to be worth the effort.

---

From: Tim Chown <[email-masked]>
Date: Tue, 12 Sep 2017 21:01:51 +0100

> So in your opinion, what should happen now? Updating the I-D only? Or we should go forward? Or the IPv10 draft is not interesting at all? 

I believe you can request an IETF mail list, e.g. [email-masked] <mailto:[email-masked]> to discuss your proposal.

But to form a WG you need to meet the criteria of RFC 5434 - see https://tools.ietf.org/html/rfc5434 <https://tools.ietf.org/html/rfc5434>, and as it stands, I’m afraid you don’t meet any of the criteria to even have a WG-forming BoF approved.  The IETF works on rough consensus and running code, and you don’t have either, at least yet.

Tim

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Sep 2017 16:09:35 -0400

> I believe you can request an IETF mail list, e.g. [email-masked] <mailto:[email-masked]> to discuss your proposal.

This is subject to approval from the IESG, and typically requires that (many) more than one person express interest in the work.

---

From: Khaled Omar <[email-masked]>
Date: Tue, 12 Sep 2017 20:24:09 +0000

Hi Ted,

From who I can request IPv10 mailing list?

-------- Original Message --------
Subject: Re: [Int-area] IPv10.
From: Ted Lemon
To: Tim Chown
CC: Khaled Omar ,int-area

On Sep 12, 2017, at 4:01 PM, Tim Chown <[email-masked]<mailto:[email-masked]>> wrote:
I believe you can request an IETF mail list, e.g. [email-masked]<mailto:[email-masked]> to discuss your proposal.

---

From: Lee Howard <[email-masked]>
Date: Tue, 12 Sep 2017 17:15:44 -0400

I navigated this way:
www.ietf.org > Info for Newcomers > Other general mailing lists
and I got to https://www.ietf.org/list/

Which says:
> *  Non-Working Group Lists <https://datatracker.ietf.org/list/nonwg/> :
> including lists hosted @ietf.org and elsewhere that may be of interest to IETF
> participants. Addition of a new list or modification of an existing entry both
> require the approval of an Area Director.
>  
> 
> Please note that mailing lists @ietf.org are for conducting official IETF
> business only and must be approved by an IETF Area Director, the IETF Chair,
> or the IAB Chair. Statements addressed to these lists are considered IETF
> contributions and are subject to the IETF intellectual property rights rules
> as defined in RFC 5378 <https://www.ietf.org/rfc/rfc5378.txt> , "Rights
> Contributors Provide to the IETF Trust," and RFC 3979
> <https://www.ietf.org/rfc/rfc3979.txt> , "Intellectual Property Rights in IETF
> Technology."
>  
> 
> To request a new working group mailing list, please see "How to Request a New
> Working Group Mailing List at the IETF
> <https://www.ietf.org/list/request.html> ." To request a non-WG mailing list,
> please            refer to "IETF Non-WG Mailing Lists
> <https://www.ietf.org/list/nonwg.html> ."

That last link is the answer to your question.

It doesn’t need to be an IETF-hosted mailing list. Just a discussion list to
show there’s interest and progress.

Lee

From:  Int-area <[email-masked]> on behalf of Khaled Omar
<[email-masked]>
Date:  Tuesday, September 12, 2017 at 4:24 PM
To:  Ted Lemon <[email-masked]>
Cc:  int-area <[email-masked]>
Subject:  Re: [Int-area] IPv10.

>>> I believe you can request an IETF mail list, e.g. [email-masked] to discuss
>>> your proposal.
>> 
>> This is subject to approval from the IESG, and typically requires that (many)
>> more than one person express interest in the work.
>>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 13 Sep 2017 09:19:00 +0800

Several of us have told him the same several times about a year ago. I personally insisted him to ask the IESG for a mailing list, talk to the ADs, etc. … so I insist he is not reading the documents, may be not even reading all the emails … so not worth the effort to reply anymore.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Tim Chown <[email-masked]>
Responder a: <[email-masked]>
Fecha: miércoles, 13 de septiembre de 2017, 4:02
Para: Khaled Omar <[email-masked]>
CC: int-area <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    

    I believe you can request an IETF mail list, e.g. [email-masked] to discuss your proposal.
    
    But to form a WG you need to meet the criteria of RFC 5434 - see https://tools.ietf.org/html/rfc5434, and as it stands, I’m afraid you don’t meet any of the criteria to even have a WG-forming BoF approved.  The IETF works on rough consensus and running code, and you don’t have either, at least yet.
    
    Tim

    
    -----Original Message-----
    From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
    Sent: Tuesday, September 12, 2017 7:29 PM
    To: int-area
    Subject: Re: [Int-area] IPv10.

    
    Regards,
    Jordi

    -----Mensaje original-----
    De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
    Fecha: miércoles, 13 de septiembre de 2017, 1:24
    Para: int-area <[email-masked]>
    Asunto: Re: [Int-area] IPv10.

    

    

        Best regards,
    
        Khaled Omar

        -----Original Message-----
        From: Int-area [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
        Sent: Tuesday, September 12, 2017 7:09 PM
        To: int-area
        Subject: Re: [Int-area] IPv10.

    
    
        Regards,
        Jordi

        -----Mensaje original-----
        De: Int-area <[email-masked]> en nombre de Khaled Omar <[email-masked]> Responder a: <[email-masked]>
        Fecha: martes, 12 de septiembre de 2017, 23:06
        Para: int-area <[email-masked]>
        Asunto: Re: [Int-area] IPv10.

            Best regards,
    
            Khaled Omar
    
            -----Original Message-----

    
    
            Regards,
            Jordi

            -----Mensaje original-----

    
    
                Khaled Omar

                -------- Original Message --------

    

    
    
    After answering questions of people who send me e-mails publicly or privately the discussion stops at this point, that’s why I keep updating the I-D to make it more clear for other people reading the draft for
    the 1st time.

    

    

                Lee

    

    

    

    Lee

    
    Hi all,

    

    Best regards,
    
    Khaled Omar

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 14:11:33 +0200

>  From who I can request IPv10 mailing list?

I'd rather ask: Does it make sense to ask an IPv10 email list?  If not, 
what would be another name?

Alex

>>     I believe you can request an IETF mail list, [email-masked]
>>     <mailto:[email-masked]> to discuss your proposal.
> 
>     This is subject to approval from the IESG, and typically requires
>     that (many) more than one person express interest in the work.
> 
> 
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 28 Sep 2017 14:14:14 +0200

Maybe re-ipng ?

We can start working in the successor of IPv6, so we have now 400-500 years to develop it and we are not late deploying it when we run out of IPv6 addresses.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Alexandre Petrescu <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 28 de septiembre de 2017, 14:11
Para: <[email-masked]>
Asunto: Re: [Int-area] IPv10.

    
    
    Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 14:15:16 +0200

> interested to work on the IPv10 I-D.

People did something like this in the past.  They were so happy to get 
their WG but without clear idea what to do in it.

WGs come and go anyway.

One may even create a very ephemeral assembly, in which a few people 
talk about the same thing, during few hours, and agree on next steps. 
It's a very elightening experience.

Alex

>     To: Lee Howard <[email-masked] <mailto:[email-masked]>>
>     Cc: int-area <[email-masked] <mailto:[email-masked]>>
>         After answering questions of people who send me e-mails publicly
>         or privately the discussion stops at this point, that’s why I
>         keep updating the I-D to make it more clear for other people
>         reading the draft for the 1^st time.
> 
>         If there are people who want to work on IPv10, they need to say
>         so. There can’t be consensus if only one or two people think a
>         document is worth working on. If you have received private
>         statements of support, those people need to send messages to the
>         list.
> 
>         *From:* Lee Howard [mailto:[email-masked]]
>         For an IETF document, it should get adopted by a working group
>         (WG). If there is no existing WG which could include this in its
>         charter, you might need to create a WG; Area Directors (ADs)
>         would want to see that there was broad support for the effort,
>         and many people willing to work on it. I’m not an AD, but I
>         would question one who thought there was consensus support for
>         IPv10.
> 
>         If there are people who want to work on IPv10, they need to say
>         so. There can’t be consensus if only one or two people think a
>         document is worth working on. If you have received private
>         statemetns of support, those people need to send messages to the
>         list.
> 
>         Lee
> 
>         *From: *Int-area <[email-masked]
>         <mailto:[email-masked]>> on behalf of Khaled Omar
>         <[email-masked] <mailto:[email-masked]>>
>         *To: *int-area <[email-masked] <mailto:[email-masked]>>
>         *Cc: *intarea-ads <[email-masked]
>         <mailto:[email-masked]>>, intarea-chairs
>         <[email-masked] <mailto:[email-masked]>>
>             I would like thank everyone who participated or reviewed the
>             IPv10 I-D, but still some steps of work to be done and the
>             decision is out of my hands.
> 
>             I don’t know how consensus be calculated at the IETF and
>             whom is responsible for its final decision, either still
>             some work to be done for adoption or start publishing the I-D.
> 
>             Waiting for the coming meeting is not a good idea as there
>             is a short time for the presentation and we may face another
>             remote technical problem as occurred at IETF 98.
> 
>             Best regards,
> 
>             Khaled Omar
> 
>             _______________________________________________ Int-area
>             mailing list [email-masked] <mailto:[email-masked]>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 14:40:37 +0200

Jordi,

:-)

But I suppose the original poster intends to work now on some topic.

I can understand a little bit of irony in your message.  I saw it in 
other messages as well.

However, we dont have a document
"Top 10 reasons why IPv!=[46] is nonsense"

We do have many documents
"Top 10 reasons why IPv4 and IPv6 make sense"

Alex

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 13:46:53 +0100

> On Sep 28, 2017, at 1:14 PM, JORDI PALET MARTINEZ <[email-masked]> wrote:
> 
> 

Anything that does not appear to squat on a code point. Like an IP version number. And yes, that goes for doc titles too. 

Joe

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 13:07:04 +0000

Hi Alex,

> People did something like this in the past.  They were so happy to get their WG but without clear idea what to do in it.
> One may even create a very ephemeral assembly, in which a few people talk about the same thing, during few hours, and agree on next steps. 
It's a very enlightening experience.

We didn't try this with IPv10 yet to have an influence regarding the participants and consensus, will be great to have an email list for this discussion.

Regarding the name, I think there is a second name suggested on the draft which is IPmix, it can be used instead of IPv10 which IMHO better to identify the packet.

Regards,

Khaled Omar

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
Sent: Thursday, September 28, 2017 2:15 PM
To: [email-masked]
Subject: Re: [Int-area] IP-not-v10

> is interested to work on the IPv10 I-D.

People did something like this in the past.  They were so happy to get their WG but without clear idea what to do in it.

WGs come and go anyway.

One may even create a very ephemeral assembly, in which a few people talk about the same thing, during few hours, and agree on next steps. 
It's a very elightening experience.

Alex

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 28 Sep 2017 15:23:53 +0200

The irony part is that I don’t think we will exhaust IPv6 before we really have other news for a new protocol “or something else”. I don’t think even in those 500 years, we will run out of IPv6 addresses, but probably IoT and many other usages of Internet that we even can’t guess today, will force us to have something new.

So ASAP we start thinking on that, even if not yet developing anything, much better we will do it and more chances to avoid mistakes and long unnecessary “transition” phases.

Regards,
Jordi

-----Mensaje original-----
De: Int-area <[email-masked]> en nombre de Alexandre Petrescu <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 28 de septiembre de 2017, 14:40
Para: <[email-masked]>
Asunto: Re: [Int-area] IPv-not-10.

    Jordi,
    
    :-)

    

    Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 15:28:02 +0200

Le 28/09/2017 à 15:07, Khaled Omar a écrit :
> Hi Alex,
> 
>> People did something like this in the past.  They were so happy to 
>> get their WG but without clear idea what to do in it. One may even 
>> create a very ephemeral assembly, in which a few people talk about 
>> the same thing, during few hours, and agree on next steps. It's a
>> very enlightening experience.
> 
> We didn't try this with IPv10 yet to have an influence regarding the 
> participants and consensus,

I dont understand that - can you please repeat?

[...]
> Regarding the name, I think there is a second name suggested on the 
> draft which is IPmix,

"IPmix" can sound good, although it can sound also like a 'soup' or
'mixture'.

Makes me also think of MMIX which is a computer architecture with a
second meaning: it means 2009 in latin numbering (the year it was
supposed to get into production, which unfortunately did not happen).

> it can be used instead of IPv10 which IMHO better to identify the
> packet.

It will not be possible to get a number like '10' to identify IP
packets, like 4 or 6 does.  They wont give it, however hard one may try.
  I think that is because there is not enough place left.  At the rate of
one version every 10 years it will be quickly exhausted.

Can you please look where are these numbers defined: 4 and 6, for IP.

Alex

> 
> Regards,
> 
> Khaled Omar
> 
> -----Original Message----- From: Int-area 
> [mailto:[email-masked]] On Behalf Of Alexandre Petrescu 
> Sent: Thursday, September 28, 2017 2:15 PM To: [email-masked] 
>> We can make the opposite, first creating a wg, then we will know 
>> who is interested to work on the IPv10 I-D.
> 
> People did something like this in the past.  They were so happy to 
> get their WG but without clear idea what to do in it.
> 
> WGs come and go anyway.
> 
>> -------- Original Message -------- Subject: Re: [Int-area] IPv10. 
>> From: Lee Howard To: Khaled Omar CC: int-area
>> 
>> 
>> 
>> 
>> From: Khaled Omar <[email-masked] 
>> <mailto:[email-masked]>> Date: Tuesday, September 12, 
>> 2017 at 9:17 AM To: Lee Howard <[email-masked] 
>> <mailto:[email-masked]>> Cc: int-area <[email-masked] 
>> <mailto:[email-masked]>> Subject: RE: [Int-area] IPv10.
>> 
>> or privately the discussion stops at this point, that’s why I keep 
>> updating the I-D to make it more clear for other people reading
>> the draft for the 1^st time.
>> 
>> *From:* Lee Howard [mailto:[email-masked]] *Sent:* Tuesday, 
>> September 12, 2017 3:08 PM *To:* Khaled Omar; int-area *Subject:* 
>> Re: [Int-area] IPv10.
>> 
>> charter, you might need to create a WG; Area Directors (ADs) would 
>> want to see that there was broad support for the effort, and many 
>> people willing to work on it. I’m not an AD, but I would question 
>> one who thought there was consensus support for IPv10.
>> 
>>  *Date: *Monday, September 11, 2017 at 4:53 PM *To: *int-area 
>> <[email-masked] <mailto:[email-masked]>> *Cc: *intarea-ads 
>> <[email-masked] <mailto:[email-masked]>>, 
>> intarea-chairs <[email-masked] 
>> <mailto:[email-masked]>> *Subject: *[Int-area] IPv10.
>> 
>> Hi all,
>> 
>> I would like thank everyone who participated or reviewed the IPv10 
>> I-D, but still some steps of work to be done and the decision is 
>> out of my hands.
>> 
>> responsible for its final decision, either still some work to be 
>> done for adoption or start publishing the I-D.
>> 
>> Waiting for the coming meeting is not a good idea as there is a 
>> short time for the presentation and we may face another remote 
>> technical problem as occurred at IETF 98.
>> 
>> Best regards,
>> 
>> Khaled Omar
>> 
>> _______________________________________________ Int-area mailing 
>> list [email-masked] <mailto:[email-masked]> 
>> _______________________________________________ Int-area mailing 
>> list [email-masked]

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 28 Sep 2017 10:18:11 -0400

I thought it was well known that IPv6 is IP-ng. The next thing is IP-ds9.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Thu, Sep 28, 2017 at 8:14 AM, JORDI PALET MARTINEZ <
[email-masked]> wrote:

> Maybe re-ipng ?
>
> We can start working in the successor of IPv6, so we have now 400-500
> years to develop it and we are not late deploying it when we run out of
> IPv6 addresses.
>
> Regards,
> Jordi
>
>
> This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the exclusive use of
> the individual(s) named above and further non-explicilty authorized
> disclosure, copying, distribution or use of the contents of this
> information, even if partially, including attached files, is strictly
> prohibited and will be considered a criminal offense. If you are not the
> intended recipient be aware that any disclosure, copying, distribution or
> use of the contents of this information, even if partially, including
> attached files, is strictly prohibited, will be considered a criminal
> offense, so you must reply to the original sender to inform about this
> communication and delete it.
>
>
>

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 28 Sep 2017 15:29:05 +0100

On 28/09/2017 14:23, JORDI PALET MARTINEZ wrote:
> I don’t think even in those 500 years, we will run out of IPv6 addresses,

I hope you are right, but:

I am sure that the original IPv4 designers thought that 2^32 was likely 
to be an infinity of IP addresses, but then the Internet was hugely 
successful, and now they are all allocated.

I am also sure that the IEEE though that thought that 2^48 was likely to 
be an infinity of MAC addresses, but then VMs were invented, and now 
they are worried.

People are proposing to use IP addresses for all sorts of things other 
than host addresses. For example, video fragments was one idea presented 
at the last IETF, but once that flood gate is opened, who knows what 
people will be wanting to address with IPv6 addresses, and how many they 
will need.

So whilst 2^128 seems a pretty safe bet, history is not with us.

- Stewart

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 28 Sep 2017 16:33:25 +0200

Maybe, who knows, bute ven using it for many more things than just videos, I always recall Tony Hain calculation:

“if you project 32 B (2^35) people over the lifetime of IPv6, and allocate all of them 4 /48's at 50% routing efficiency, you get 2^10 versions of that. If each of them took a year to build out, you are still well over 500 years”

Somebody suggested me also to send this link:

https://xkcd.com/865/

Regards,
Jordi

-----Mensaje original-----
De: Stewart Bryant <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 28 de septiembre de 2017, 16:29
Para: <[email-masked]>, <[email-masked]>
Asunto: Re: [Int-area] IPv-not-10.

    

    

    - Stewart

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 14:37:01 +0000

> How many versions of IP can there be?  (what is the size of the space?)

I think this will be the last one, because it combines both versions' address space.

Khaled

-----Original Message-----
From: Alexandre Petrescu [mailto:[email-masked]] 
Sent: Thursday, September 28, 2017 4:29 PM
To: Khaled Omar
Subject: Re: [Int-area] IP-not-v10

Le 28/09/2017 à 15:40, Khaled Omar a écrit :
> Alex,
> We didn't try to have a WG or even a mail list for IPv10 discussions 
> so we can understand who is participating and if there will be a 
> consensus or not.

That's a long phrase.  Too long for me to understand.

[...]

> Why IANA will not reserve version number 10 as it is not already 
> assigned 
> https://www.iana.org/assignments/version-numbers/version-numbers.xhtml

How many versions of IP can there be?  (what is the size of the space?)

Alex

>
>  Regards,
> 
> Khaled Omar
> 
> -----Original Message----- From: Alexandre Petrescu 
> [mailto:[email-masked]] Sent: Thursday, September 28,
> 2017 3:28 PM To: Khaled Omar Cc: int-area Subject: Re: [Int-area]
> IP-not-v10
> 
>>> the same thing, during few hours, and agree on next steps.
> packets, like 4 or 6 does.  They wont give it, however hard one may 
> try. I think that is because there is not enough place left.  At the 
> rate of one version every 10 years it will be quickly exhausted.
> 
>>> privately the discussion stops at this point, that’s why I keep 
>>> updating the I-D to make it more clear for other people reading the 
>>> draft for the 1^st time.
>>> 
>>> If there are people who want to work on IPv10, they need to say so. 
>>> There can’t be consensus if only one or two people think a document 
>>> is worth working on. If you have received private statements of 
>>> support, those people need to send messages to the list.
>>> 
>>> September 12, 2017 3:08 PM *To:* Khaled Omar; int-area
>>> For an IETF document, it should get adopted by a working group (WG). 
>>> If there is no existing WG which could include this in its charter, 
>>> you might need to create a WG; Area Directors (ADs) would want to 
>>> see that there was broad support for the effort, and many people 
>>> willing to work on it. I’m not an AD, but I would question one who 
>>> thought there was consensus support for IPv10.
>>> 
>>> If there are people who want to work on IPv10, they need to say so. 
>>> There can’t be consensus if only one or two people think a document 
>>> is worth working on. If you have received private statemetns of 
>>> support, those people need to send messages to the list.
>>> 
>>> Lee
>>> 
>>> <[email-masked] <mailto:[email-masked]>>, intarea-chairs 
>>> <[email-masked] <mailto:[email-masked]>> *Subject: 
>>> *[Int-area] IPv10.
>>> 
>>> Hi all,
>>> 
>>> IPv10 I-D, but still some steps of work to be done and the decision 
>>> is out of my hands.
>>>

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 28 Sep 2017 15:48:16 +0100

On the other hand it is only  2^48 addresses per planet in just this 
universe.

I have long since given us being surprised that practical infinities are 
frequently too small.

- Stewart

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 28 Sep 2017 10:37:34 -0400

+1 to Stewart's comment.   Think growth. 

 As one who argued for variable length address fields during the IPng debates - and time has shown the success gives us continual growth in MAC or IP addresses needed. 

Since the IPng, we've figure out how to make short-cut addresses for routing (mpls, bier, etc.) - so the argument that the routers cannot handle it is no longer valid. 

Cheerily,  Sue Hares

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Thursday, September 28, 2017 10:29 AM
To: [email-masked]; [email-masked]
Subject: Re: [Int-area] IPv-not-10.

I am sure that the original IPv4 designers thought that 2^32 was likely to be an infinity of IP addresses, but then the Internet was hugely successful, and now they are all allocated.

I am also sure that the IEEE though that thought that 2^48 was likely to be an infinity of MAC addresses, but then VMs were invented, and now they are worried.

People are proposing to use IP addresses for all sorts of things other than host addresses. For example, video fragments was one idea presented at the last IETF, but once that flood gate is opened, who knows what people will be wanting to address with IPv6 addresses, and how many they will need.

- Stewart

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 15:37:19 +0000

Is there any suggestion for the I-D name other than IPv10?

Khaled

-----Original Message-----
From: Alexandre Petrescu [mailto:[email-masked]] 
Sent: Thursday, September 28, 2017 4:29 PM
To: Khaled Omar
Subject: Re: [Int-area] IP-not-v10

[...]

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 18:24:30 +0200

> I think this will be the last one, because it combines both versions'

Khaled - I read you; it sounds overly optimistic about our capability to
solve very many problems with just one version number :-)  I am not so
optimistic about my own capability to achieve that.

But, if I may come back to my question of how many versions of IP can
there be.

The "Version" field in both the IPv6 and IPv4 Header Formats is 4 bits
long, where we could encode maximum 16 versions for IP.  IPv4 was in
1981, IPv10 in 2017, and so very soon we may reach IPv16.

Fearing that exhaustion, I would try to look at other things than at the
Version number in IP.

I would maybe look in the other fields of IPv6.  Maybe look at the
Extension Headers.  They are made especially for those, including
myself, would like to extend IPv6 further and beyond.

The mechanism that you describe in section 3.1 "IPv6 Host to IPv4 Host"
can happen with an extension header, rather than with the base header
where the Version number sits.

Starting with Extension Headers would allow one to experiment on
computers (not just on paper).

What do you think about using Extension Headers, rather than a new
Version number?

Alex

> 2017 4:29 PM To: Khaled Omar Subject: Re: [Int-area] IP-not-v10
> 
> 
> 
>> We didn't try to have a WG or even a mail list for IPv10 
>> discussions so we can understand who is participating and if there
>>  will be a consensus or not.
> 
>> [mailto:[email-masked]] Sent: Thursday, September
>> 28, 2017 3:28 PM To: Khaled Omar Cc: int-area Subject: Re:
>> [Int-area] IP-not-v10
>> 
>>>> People did something like this in the past.  They were so happy
>>>> to get their WG but without clear idea what to do in it. One
>>>> may even create a very ephemeral assembly, in which a few 
>>>> people talk about the same thing, during few hours, and agree 
>>>> on next steps. It's a very enlightening experience.
>>> 
>>> We didn't try this with IPv10 yet to have an influence regarding
>>>  the participants and consensus,
>> 
>>> Regarding the name, I think there is a second name suggested on 
>>> the draft which is IPmix,
>> 
>> "IPmix" can sound good, although it can sound also like a 'soup'
>> or 'mixture'.
>> 
>> Makes me also think of MMIX which is a computer architecture with
>> a second meaning: it means 2009 in latin numbering (the year it
>> was supposed to get into production, which unfortunately did not 
>> happen).
>> 
>>> it can be used instead of IPv10 which IMHO better to identify
>>> the packet.
>> 
>> packets, like 4 or 6 does.  They wont give it, however hard one
>> may try. I think that is because there is not enough place left. At
>> the rate of one version every 10 years it will be quickly
>> exhausted.
>> 
>>> [mailto:[email-masked]] On Behalf Of Alexandre 
>>> Petrescu Sent: Thursday, September 28, 2017 2:15 PM To: 
>>> [email-masked] Subject: Re: [Int-area] IP-not-v10
>>> 
>>> 
>>> 
>>>> We can make the opposite, first creating a wg, then we will 
>>>> know who is interested to work on the IPv10 I-D.
>>> 
>>> People did something like this in the past.  They were so happy 
>>> to get their WG but without clear idea what to do in it.
>>> 
>>> WGs come and go anyway.
>>> 
>>> One may even create a very ephemeral assembly, in which a few 
>>> people talk about the same thing, during few hours, and agree on
>>>  next steps. It's a very elightening experience.
>>> 
>>> Alex
>>> 
>>>> 
>>>> Khaled Omar
>>>> 
>>>> 
>>>> -------- Original Message -------- Subject: Re: [Int-area] 
>>>> IPv10. From: Lee Howard To: Khaled Omar CC: int-area
>>>> 
>>>> 
>>>> 
>>>> 
>>>> <mailto:[email-masked]>> Date: Tuesday, September
>>>>  12, 2017 at 9:17 AM To: Lee Howard <[email-masked] 
>>>> After answering questions of people who send me e-mails 
>>>> publicly or privately the discussion stops at this point, 
>>>> that’s why I keep updating the I-D to make it more clear for 
>>>> other people reading the draft for the 1^st time.
>>>> 
>>>> statements of support, those people need to send messages to
>>>> the list.
>>>> 
>>>>  (WG). If there is no existing WG which could include this in 
>>>> its charter, you might need to create a WG; Area Directors 
>>>> (ADs) would want to see that there was broad support for the 
>>>> effort, and many people willing to work on it. I’m not an AD, 
>>>> statemetns of support, those people need to send messages to
>>>> the list.
>>>> 
>>>> Lee
>>>> 
>>>> <[email-masked] 
>>>> <mailto:[email-masked]>> *Date: *Monday, September
>>>> 11, 2017 at 4:53 PM *To: *int-area <[email-masked]
>>>> <mailto:[email-masked]>> *Cc: *intarea-ads
>>>> I don’t know how consensus be calculated at the IETF and whom 
>>>> is responsible for its final decision, either still some work 
>>>> to be done for adoption or start publishing the I-D.
>>>> 
>>>> Waiting for the coming meeting is not a good idea as there is
>>>> a short time for the presentation and we may face another
>>>> mailing list [email-masked]

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 18:26:26 +0200

> Is there any suggestion for the I-D name other than IPv10?

"IPv6 Extension Headers for IPv4-IPv6 Translation"
EXPERIMENTAL status
Plan for experimenting.

Alex

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 28 Sep 2017 18:03:14 +0100

How about Future IP.

- Stewart

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 19:06:53 +0200

I like it.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 17:21:15 +0000

U mean IPf, sounds good but after it is implemented it will not be future.

-----Original Message-----
From: Stewart Bryant [mailto:[email-masked]] 
Sent: Thursday, September 28, 2017 7:03 PM
To: Khaled Omar; Alexandre Petrescu
Cc: int-area
Subject: Re: [Int-area] IP-not-v10

How about Future IP.

- Stewart

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 28 Sep 2017 20:46:06 +0200

> U mean IPf, sounds good but after it is implemented it will not be future.

I agree with you, but IMHO I am more modest about the future.

"IPf" is a name that was already used in implementations to mean "IP 
filters".

I think that "Future IP" could regroup efforts of:
IPv10 (Khaled), IPv9 (China), IPv6 (ETSI "Transition to IPv6"),
IP-ds9 (see Mr. Eastlake's email).

Alex

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 18:56:08 +0000

The issue is to call hosts with Future IP??? And the packet header that contains a mixture of both versions as future IP packets, I'm really not convinced with that name even if it sounds good.

I still didn't recognize what is the problem of version number 10, it really describes the operation and configuration of hosts as all IPv10 hosts not future IP hosts.

Even if we used future IP name, there will be a version number for this packet as there is difference in the packet contents of the source and destination fields.

-----Original Message-----
From: Int-area [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
Sent: Thursday, September 28, 2017 8:46 PM
To: [email-masked]
Subject: Re: [Int-area] IP-not-v10

"IPf" is a name that was already used in implementations to mean "IP filters".

Alex

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:07:28 +0100

> On Sep 28, 2017, at 7:56 PM, Khaled Omar <[email-masked]> wrote:
> 
> I still didn't recognize what is the problem of version number 10

That number is assigned by IANA if - and only when - a protocol proposal qualifies for that assignment.

You don’t have that assignment, so you should stop using it even as a name.

Joe

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:13:18 +0000

Ok, but how we get that assignment before discussing the idea.

After it is completed we can ask for version number 10 which is unassigned by IANA recently.

-------- Original Message --------
Subject: Re: [Int-area] IP-not-v10
From: Joe Touch
To: Khaled Omar
CC: Alexandre Petrescu ,int-area

> On Sep 28, 2017, at 7:56 PM, Khaled Omar wrote:
>

Joe

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 28 Sep 2017 14:13:48 -0500

> You don’t have that assignment, so you should stop using it even as a name.
You can say version number TBD
and in IANA Considerations section say IANA to assign a number to TBD and
say 10 is preferred.

Regards,
Behcet

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:20:04 +0100

> On Sep 28, 2017, at 8:13 PM, Khaled Omar <[email-masked]> wrote:
> 

You do not, for this type of codepoint.

> After it is completed we can ask for version number 10 which is unassigned by IANA recently.

After you satisfy the requirements, a codepoint can be requested. Some other proposal may get 10 before you, or you might never qualify for an assignment. 

Until you get an assignment, you should never assume, use, or refer to one.

Joe

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:23:13 +0000

Can we use IPvTen?

-------- Original Message --------
From: Behcet Sarikaya
To: Joe Touch

On Thu, Sep 28, 2017 at 2:07 PM, Joe Touch <[email-masked]<mailto:[email-masked]>> wrote:

> On Sep 28, 2017, at 7:56 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
>

You can say version number TBD
and in IANA Considerations section say IANA to assign a number to TBD and say 10 is preferred.

Regards,
Behcet
Joe

_______________________________________________
Int-area mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/int-area

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:24:33 +0100

> On Sep 28, 2017, at 8:13 PM, Behcet Sarikaya <[email-masked]> wrote:
> 
> 
> 

FWIW, this also means that all examples and header diagrams must use TBD, not 10.

And running code must use a value that won’t pollute the landscape if 10 isn’t eventually assigned. 

Joe

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:25:02 +0100

No, IMO.

It still refers to a codepoint.

Joe

> On Sep 28, 2017, at 8:23 PM, Khaled Omar <[email-masked]> wrote:
> 
> Can we use IPvTen?
> 
>

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:27:38 +0000

Then I think IPmix can be the name or IPf as suggested by stewart.

-------- Original Message --------
Subject: Re: [Int-area] IP-not-v10
From: Joe Touch
To: Khaled Omar
CC: Behcet Sarikaya ,int-area

No, IMO.

Joe

On Sep 28, 2017, at 8:23 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:

Can we use IPvTen?

-------- Original Message --------

Regards,
Behcet
Joe

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:28:55 +0100

> On Sep 28, 2017, at 8:27 PM, Khaled Omar <[email-masked]> wrote:
> 

Yes, those are ok IMO.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:34:28 +0000

From: Khaled Omar
Sent: Thursday, September 28, 2017 9:34 PM
To: 'Joe Touch'
Subject: RE: [Int-area] IP-not-v10

Do we need to change the whole I-D to refer to the new name or the contents remains the same except replacing IPv10 to IPmix or IPf?

From: Joe Touch [mailto:[email-masked]]
Sent: Thursday, September 28, 2017 9:29 PM
To: Khaled Omar
Cc: int-area
Subject: Re: [Int-area] IP-not-v10

On Sep 28, 2017, at 8:27 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Then I think IPmix can be the name or IPf as suggested by stewart.

Yes, those are ok IMO.

-------- Original Message --------

No, IMO.

Joe

-------- Original Message --------

Regards,
Behcet
Joe

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:38:13 +0000

Sorry, I forgot to Cc the int-area mailing list, but I forwarded it before you remind me.

From: Joe Touch [mailto:[email-masked]]
Sent: Thursday, September 28, 2017 9:36 PM
To: Khaled Omar
Subject: Re: [Int-area] IP-not-v10

Please post to the list.  I do not want to engage in offline discussions.

On Sep 28, 2017, at 8:33 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Do we need to change the whole I-D to refer to the new name or the contents remains the same except replacing IPv10 to IPmix or IPf?

Yes, those are ok IMO.

-------- Original Message --------

No, IMO.

Joe

-------- Original Message --------

Regards,
Behcet
Joe

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:41:14 +0100

IMO remove “10” everywhere, including the document name (I.e., the file name).

Joe

> On Sep 28, 2017, at 8:38 PM, Khaled Omar <[email-masked]> wrote:
> 
> On Sep 28, 2017, at 8:33 PM, Khaled Omar <[email-masked]> wrote:
>

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:43:33 +0000

Can we make another new I-D with the new name, and keep the recent one as it is?

From: Joe Touch [mailto:[email-masked]]
Sent: Thursday, September 28, 2017 9:41 PM
To: Khaled Omar
Cc: int-area
Subject: Re: [Int-area] IP-not-v10

Joe

On Sep 28, 2017, at 8:38 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Sorry, I forgot to Cc the int-area mailing list, but I forwarded it before you remind me.

Yes, those are ok IMO.

-------- Original Message --------

No, IMO.

Joe

-------- Original Message --------

Regards,
Behcet
Joe

---

From: Joe Touch <[email-masked]>
Date: Thu, 28 Sep 2017 20:45:57 +0100

I think that’s fine. The current ones will timeout and you can say that these new ones were updates of the current ones when you submit the new ones.

> On Sep 28, 2017, at 8:43 PM, Khaled Omar <[email-masked]> wrote:
>

---

From: Khaled Omar <[email-masked]>
Date: Thu, 28 Sep 2017 19:48:13 +0000

That’s good, will do it.

From: Joe Touch [mailto:[email-masked]]
Sent: Thursday, September 28, 2017 9:46 PM
To: Khaled Omar
Cc: int-area
Subject: Re: [Int-area] IP-not-v10

On Sep 28, 2017, at 8:43 PM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
Can we make another new I-D with the new name, and keep the recent one as it is?

Joe

Yes, those are ok IMO.

-------- Original Message --------

No, IMO.

Joe

-------- Original Message --------

Regards,
Behcet
Joe

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 29 Sep 2017 07:01:50 +0200

Le 28/09/2017 à 21:34, Khaled Omar a écrit :
> *From:*Khaled Omar
> *Sent:* Thursday, September 28, 2017 9:34 PM
> *To:* 'Joe Touch'
> *Subject:* RE: [Int-area] IP-not-v10
> 
> Do we need to change the whole I-D to refer to the new name or the 
> contents remains the same except replacing IPv10 to IPmix or IPf?

Too early to think about that.

Leave your draft alone at this time.  It's already at version 9 I think.

Make others write drafts.

Alex

> 
> *From:*Joe Touch [mailto:[email-masked]]
> *Sent:* Thursday, September 28, 2017 9:29 PM
> *To:* Khaled Omar
> *Cc:* int-area
> *Subject:* Re: [Int-area] IP-not-v10
> 
> 
> On Sep 28, 2017, at 8:27 PM, Khaled Omar <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>         On Sep 28, 2017, at 8:23 PM, Khaled Omar
>         <mailto:[email-masked]>> wrote:
> 
>             Can we use IPvTen?
> 
> 
> 
>                 On Thu, Sep 28, 2017 at 2:07 PM, Joe Touch
>                 <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>                      > On Sep 28, 2017, at 7:56 PM, Khaled Omar
>                     <mailto:[email-masked]>> wrote:
>                      >
>                     That number is assigned by IANA if - and only when -
>                     a protocol proposal qualifies for that assignment.
> 
>                     [email-masked] <mailto:[email-masked]>
>             [email-masked] <mailto:[email-masked]>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 29 Sep 2017 07:03:04 +0200

Le 28/09/2017 à 21:45, Joe Touch a écrit :
> I think that’s fine. The current ones will timeout and you can say that 
> these new ones were updates of the current ones when you submit the new 
> ones.

I agree.

Alex

> 
> On Sep 28, 2017, at 8:43 PM, Khaled Omar <[email-masked] 
>> *Sent:* Thursday, September 28, 2017 9:41 PM
>> *To:* Khaled Omar
>> *Cc:* int-area
>> On Sep 28, 2017, at 8:38 PM, Khaled Omar <[email-masked] 
>>     *Sent:* Thursday, September 28, 2017 9:36 PM
>>     *To:* Khaled Omar
>>     On Sep 28, 2017, at 8:33 PM, Khaled Omar
>>     wrote:
>>         Do we need to change the whole I-D to refer to the new name or
>>         the contents remains the same except replacing IPv10 to IPmix
>>         or IPf?
>>
>>                             That number is assigned by IANA if - and
>>                             only when - a protocol proposal qualifies
>>                             for that assignment.
>>
>>                         and in IANA Considerations section say IANA to
>>                         assign a number to TBD and say 10 is preferred.
>>
>>                         Regards,
>>
>>                         Behcet
>>
>>                             Joe
>>
>>
>>
>>